Skip to main content
GET
get entity by id

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
contractId
integer<int64>

Unique identifier of the contract

interceptorId
integer<int64>

Unique identifier of the interceptor from haas-interceptor service

type
enum<string>

Type of the trigger

Available options:
BLACKLISTED_CALLERS,
WHITELIST_CALLERS,
FAILED_TRANSACTIONS,
FUNCTION_CALL,
EVENT_EMITTED,
EVENT_EMITTED_ADVANCED,
ERC20_TRANSFER,
TRANSACTION_PARAMS,
VALUE_TRANSFER,
EVENT_PARAMS,
OPERATION_PARAMS
name
string

Name of the trigger

config
object

Configuration details for the trigger. Examples by type:
ERC20_TRANSFER: {"token":"0xdac17f958d2ee523a2206206994597c13d831ec7","funcName":"Transfer","params":[{"name":"from","operator":"==","value":"0xd6dfD811E06267b25472753c4e57C0B28652bFB8"},{"name":"to","operator":"==","value":"0x3018018c44338b9728d02be12d632c6691e020d1"},{"name":"value","operator":">","value":"249000000"}]}
BLACKLISTED_CALLERS: {"blacklist":["0xd6dfD811E06267b25472753c4e57C0B28652bFB8","0x3018018c44338b9728d02be12d632c6691e020d1","0xd06678bc9550333b7832b7900cb7bca5cecbf787"]}
WHITELIST_CALLERS: {"whitelist":["0xd6dfD811E06267b25472753c4e57C0B28652bFB8","0x3018018c44338b9728d02be12d632c6691e020d1","0xd06678bc9550333b7832b7900cb7bca5cecbf787"]}
FAILED_TRANSACTIONS: {} or null
FUNCTION_CALL: {"funcName":"approve","params":[{"name":"_spender","operator":"==","value":"0x3018018c44338b9728d02be12d632c6691e020d1"},{"name":"_value","operator":">","value":"10"},{"name":"_value","operator":">","value":"1000"},{"name":"_value","operator":">","value":"1000000"}],"txParams":{"param":{"name":"value","operator":">","value":"100"}}}
EVENT_EMITTED: {"funcName":"Approval","params":[{"name":"owner","operator":"==","value":"0xd06678bc9550333b7832b7900cb7bca5cecbf787"},{"name":"spender","operator":"==","value":"0x3018018c44338b9728d02be12d632c6691e020d1"},{"name":"value","operator":">","value":"10"},{"name":"value","operator":">","value":"1000"},{"name":"value","operator":">","value":"1000000"}]}
TRANSACTION_PARAMS: {"operator":"AND","params":[{"operator":"OR","params":[{"param":{"name":"from_address","operator":"==","value":"or1"}},{"param":{"name":"receipt_status","operator":">","value":"1"}}]},{"param":{"name":"value","operator":"<=","value":"1000"}},{"param":{"name":"block.miner","operator":"!=","value":"qweqwe"}}]}

Example:
actions
string[]

Action that should be executed by the user for this trigger

Example:
alerts
object[]

List of alerts associated with the entry